Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Hi Question Resource

get
Authorizations
SessionIdstringRequired

SessionId

Responses
200

OK

*/*

The details of the question to be created

idstringOptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
primarybooleanOptional
createdOnstring · date-timeOptional
activationDatestring · date-timeOptional
createdBystringOptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
updatedBystringOptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
questionTypestring · enumOptional

Type of question used in company surveys or questionnaires

Possible values:
hierarchyIdsstring[]OptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]OptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
notifyByPushbooleanOptional
notifyByMailbooleanOptional
notifiedbooleanOptional
privatedbooleanOptional
nonAnonymousbooleanOptional
requireNotEmptybooleanOptionalDeprecated
mandatorybooleanOptionalDeprecated
voteModestring · enumOptional

Modes of question voting in a survey or feedback form. Defines whether a question is mandatory, optional, or deferred.

Possible values:
feedbackEnabledbooleanOptional
minSelectioninteger · int32Optional
maxSelectioninteger · int32Optional
statusstring · enumOptional

Status of a question in a survey or questionnaire

Possible values:
get/api/v1/company/hi
GET /api/v1/company/hi HTTP/1.1
Host: api.happyforce.com
SessionId: YOUR_API_KEY
Accept: */*
200

OK

{
  "id": "64f8a0e2d5b7c9a1e3f4a5b6",
  "title": {
    "defaultValue": "Happy birthday!",
    "langValues": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "valid": true
  },
  "primary": true,
  "createdOn": "2026-01-01T00:00:00.000Z",
  "activationDate": "2026-01-01T00:00:00.000Z",
  "createdBy": "64f8a0e2d5b7c9a1e3f4a5b6",
  "updatedBy": "64f8a0e2d5b7c9a1e3f4a5b6",
  "questionType": "GENERAL",
  "hierarchyIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "characteristics": [
    {
      "characteristicId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "questionType": "DATE",
      "value": true
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "values": [
    {
      "id": 1,
      "score": 1,
      "label": {
        "defaultValue": "Happy birthday!",
        "langValues": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "valid": true
      },
      "imageUrl": "text",
      "color": "text"
    }
  ],
  "resultValues": [
    {
      "id": 1,
      "score": 1,
      "label": {
        "defaultValue": "Happy birthday!",
        "langValues": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "valid": true
      },
      "imageUrl": "text",
      "color": "text"
    }
  ],
  "notifyByPush": true,
  "notifyByMail": true,
  "notified": true,
  "privated": true,
  "nonAnonymous": true,
  "voteMode": "MANDATORY",
  "feedbackEnabled": true,
  "minSelection": 1,
  "maxSelection": 1,
  "status": "ANY",
  "activationRule": {
    "ruleType": "SINGLE",
    "from": "2026-01-01T00:00:00.000Z",
    "to": "2026-01-01T00:00:00.000Z",
    "cronExpression": "text",
    "startAt": "2026-01-01T00:00:00.000Z",
    "endAt": "2026-01-01T00:00:00.000Z",
    "duration": 1
  },
  "activations": [
    {
      "from": "2026-01-01T00:00:00.000Z",
      "to": "2026-01-01T00:00:00.000Z"
    }
  ]
}
put
Authorizations
SessionIdstringRequired

SessionId

Body

The details of the question to be created

idstringOptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
primarybooleanOptional
createdOnstring · date-timeOptional
activationDatestring · date-timeOptional
createdBystringOptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
updatedBystringOptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
questionTypestring · enumOptional

Type of question used in company surveys or questionnaires

Possible values:
hierarchyIdsstring[]OptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]OptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
notifyByPushbooleanOptional
notifyByMailbooleanOptional
notifiedbooleanOptional
privatedbooleanOptional
nonAnonymousbooleanOptional
requireNotEmptybooleanOptionalDeprecated
mandatorybooleanOptionalDeprecated
voteModestring · enumOptional

Modes of question voting in a survey or feedback form. Defines whether a question is mandatory, optional, or deferred.

Possible values:
feedbackEnabledbooleanOptional
minSelectioninteger · int32Optional
maxSelectioninteger · int32Optional
statusstring · enumOptional

Status of a question in a survey or questionnaire

Possible values:
Responses
200

OK

*/*

The details of the question to be created

idstringOptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
primarybooleanOptional
createdOnstring · date-timeOptional
activationDatestring · date-timeOptional
createdBystringOptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
updatedBystringOptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
questionTypestring · enumOptional

Type of question used in company surveys or questionnaires

Possible values:
hierarchyIdsstring[]OptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
groupIdsstring[]OptionalExample: 64f8a0e2d5b7c9a1e3f4a5b6
notifyByPushbooleanOptional
notifyByMailbooleanOptional
notifiedbooleanOptional
privatedbooleanOptional
nonAnonymousbooleanOptional
requireNotEmptybooleanOptionalDeprecated
mandatorybooleanOptionalDeprecated
voteModestring · enumOptional

Modes of question voting in a survey or feedback form. Defines whether a question is mandatory, optional, or deferred.

Possible values:
feedbackEnabledbooleanOptional
minSelectioninteger · int32Optional
maxSelectioninteger · int32Optional
statusstring · enumOptional

Status of a question in a survey or questionnaire

Possible values:
put/api/v1/company/hi
PUT /api/v1/company/hi HTTP/1.1
Host: api.happyforce.com
SessionId: YOUR_API_KEY
Content-Type: */*
Accept: */*
Content-Length: 1382

{
  "id": "64f8a0e2d5b7c9a1e3f4a5b6",
  "title": {
    "defaultValue": "Happy birthday!",
    "langValues": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "valid": true
  },
  "primary": true,
  "createdOn": "2026-01-01T00:00:00.000Z",
  "activationDate": "2026-01-01T00:00:00.000Z",
  "createdBy": "64f8a0e2d5b7c9a1e3f4a5b6",
  "updatedBy": "64f8a0e2d5b7c9a1e3f4a5b6",
  "questionType": "GENERAL",
  "hierarchyIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "characteristics": [
    {
      "characteristicId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "questionType": "DATE",
      "value": true
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "values": [
    {
      "id": 1,
      "score": 1,
      "label": {
        "defaultValue": "Happy birthday!",
        "langValues": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "valid": true
      },
      "imageUrl": "text",
      "color": "text"
    }
  ],
  "resultValues": [
    {
      "id": 1,
      "score": 1,
      "label": {
        "defaultValue": "Happy birthday!",
        "langValues": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "valid": true
      },
      "imageUrl": "text",
      "color": "text"
    }
  ],
  "notifyByPush": true,
  "notifyByMail": true,
  "notified": true,
  "privated": true,
  "nonAnonymous": true,
  "voteMode": "MANDATORY",
  "feedbackEnabled": true,
  "minSelection": 1,
  "maxSelection": 1,
  "status": "ANY",
  "activationRule": {
    "ruleType": "SINGLE",
    "from": "2026-01-01T00:00:00.000Z",
    "to": "2026-01-01T00:00:00.000Z",
    "cronExpression": "text",
    "startAt": "2026-01-01T00:00:00.000Z",
    "endAt": "2026-01-01T00:00:00.000Z",
    "duration": 1
  },
  "activations": [
    {
      "from": "2026-01-01T00:00:00.000Z",
      "to": "2026-01-01T00:00:00.000Z"
    }
  ]
}
200

OK

{
  "id": "64f8a0e2d5b7c9a1e3f4a5b6",
  "title": {
    "defaultValue": "Happy birthday!",
    "langValues": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "valid": true
  },
  "primary": true,
  "createdOn": "2026-01-01T00:00:00.000Z",
  "activationDate": "2026-01-01T00:00:00.000Z",
  "createdBy": "64f8a0e2d5b7c9a1e3f4a5b6",
  "updatedBy": "64f8a0e2d5b7c9a1e3f4a5b6",
  "questionType": "GENERAL",
  "hierarchyIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "characteristics": [
    {
      "characteristicId": "64f8a0e2d5b7c9a1e3f4a5b6",
      "id": "64f8a0e2d5b7c9a1e3f4a5b6",
      "questionType": "DATE",
      "value": true
    }
  ],
  "groupIds": [
    "64f8a0e2d5b7c9a1e3f4a5b6"
  ],
  "values": [
    {
      "id": 1,
      "score": 1,
      "label": {
        "defaultValue": "Happy birthday!",
        "langValues": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "valid": true
      },
      "imageUrl": "text",
      "color": "text"
    }
  ],
  "resultValues": [
    {
      "id": 1,
      "score": 1,
      "label": {
        "defaultValue": "Happy birthday!",
        "langValues": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "valid": true
      },
      "imageUrl": "text",
      "color": "text"
    }
  ],
  "notifyByPush": true,
  "notifyByMail": true,
  "notified": true,
  "privated": true,
  "nonAnonymous": true,
  "voteMode": "MANDATORY",
  "feedbackEnabled": true,
  "minSelection": 1,
  "maxSelection": 1,
  "status": "ANY",
  "activationRule": {
    "ruleType": "SINGLE",
    "from": "2026-01-01T00:00:00.000Z",
    "to": "2026-01-01T00:00:00.000Z",
    "cronExpression": "text",
    "startAt": "2026-01-01T00:00:00.000Z",
    "endAt": "2026-01-01T00:00:00.000Z",
    "duration": 1
  },
  "activations": [
    {
      "from": "2026-01-01T00:00:00.000Z",
      "to": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated